.login-alert {
  border: dashed 1px $gray-500;
  color: $danger;
  padding: 15px 10px;
  border-radius: 20px;
  position: relative;
  display: flex;
  justify-content: center;
  max-width: 500px;
  margin: 30px auto;
  font-size: 0.9rem;
  cursor: pointer;
  &:hover {
    border-color: $danger;
    background-color: rgba($danger, 0.03);
  }
  .icon-alert {
    font-size: 2.6rem;
    padding: 0.2rem 0;
    margin-left: 15px;
  }
  .icon-close {
    position: absolute;
    top: -10px;
    right: -10px;
    padding: 5px;
    border-radius: 50%;
    background: $danger;
    color: white;
    cursor: pointer;
    font-size: 12px;
  }
}

.home-calendar {
  margin: 0 -15px 70px;
  ul.home-calendar-days {
    display: flex;
    padding: 15px 0 0;
    margin: 0;
    list-style-type: none;
    font-size: 11px;
    li {
      flex-grow: 1;
      text-align: center;
      color: $gray-500;
      position: relative;
      cursor: pointer;
      b {
        font-size: 1.3rem;
        margin-top: 0.3rem;
        color: $gray-800;
        font-weight: 500;
      }
      i {
        font-size: 7px;
        position: absolute;
        width: 100%;
        left: 0;
        text-align: center;
        opacity: 0;
      }
      div {
        max-width: 70px;
        margin: -15px auto 0 auto;
        padding-top: 15px;
        > * {
          display: block;
        }
        &:after {
          content: '';
          display: inline-block;
          width: 4px;
          height: 4px;
          border-radius: 50%;
          background-color: $warning;
          vertical-align: middle;
          opacity: 0;
        }
      }
      &.passed {
        i {
          color: $green-light;
        }
        div:after {
          opacity: 0;
        }
      }
      &.current {
        b {
          color: inherit;
        }
        + li {
          border-right: none !important;
        }
        div {
          background-color: $pink-light;
          color: white;
          border-radius: 40px 40px 0 0;
        }
      }
      &.past:not(.passed) {
        div:after {
          background-color: darken($red, 10%);
        }
      }
      &:not(:first-child):not(.current) {
        border-right: solid 1px $gray-300;
      }
    }
  } //== ul.days

  @include media-breakpoint-down(xs) {
    ul.home-calendar-days {
      font-size: 9px;
      li {
        b {
          font-size: 1rem;
          line-height: 1.2;
          font-weight: 300;
        }
      }
    }
  }
}

#app.has-user-data {
  ul.home-calendar-days {
    li {
      i {
        opacity: 1;
      }
      &:not(.passed) {
        div:after {
          opacity: 1;
        }
      }
    }
  }
}

.home-calendar-body {
  background: linear-gradient(
    to bottom,
    $pink-light 0%,
    lighten($pink, 6%) 100%
  );
  display: flex;
  flex-direction: column;
  justify-content: space-around;

  .circles-container {
    display: flex;
    padding: 30px 0;
    justify-content: space-around;
    align-items: center;
    .circle {
      border-radius: 50%;
      background-color: white;
      text-align: center;
      &:not(.circle-center) {
        width: 100px;
        height: 100px;
        display: flex;
        justify-content: center;
        flex-direction: column;
        box-shadow: 0 0 0 5px rgba(white, 0.2), 0 0 0 12px rgba(white, 0.1);
      }
      b {
        font-size: 1.7rem;
        line-height: 1;
        margin-top: 0.4rem;
      }
    }
    .circle-center {
      width: 200px;
      height: 200px;
      padding: 1.2%;
      background-color: #e5e5e5;
      position: relative;
      svg {
        width: 100%;
        height: 100%;
        padding: 2%;
        border: solid 2px $success; //#3ed2b8;
        border-radius: 50%;
        path.progress-bar {
          stroke: $pink;
          stroke-width: 36;
          transition: stroke-dashoffset 1.5s ease;
          &.danger {
            stroke: #db0100;
          }
        }
      }
      .the-pointer {
        width: 110%;
        max-width: unset;
        img {
          transition: transform 1.5s ease;
        }
      }
      .content {
        width: 70%;
        height: 70%;
        border-radius: 50%;
        background-color: white;
        box-shadow: 0 0 4px rgba(black, 0.2);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        font-size: 0.9rem;
        p {
          margin-bottom: 0;
        }
        hr {
          width: 70%;
          margin: 0.2rem auto;
        }
        .num {
          font-weight: bold;
          font-size: 1.2rem;
          direction: ltr;
          display: inline-block;
        }
        i {
          display: block;
          font-size: 1.4rem;
          margin-bottom: 0.3rem;
          color: $danger;
        }
        .total-calorie {
          color: $success;
        }
        .used-calorie {
          color: $pink;
        }
        &.has-warning {
          .total-calorie {
            color: $gray-500;
          }
          .used-calorie {
            color: red;
          }
        }
      }
    }
  }

  .formula {
    display: flex;
    width: auto;
    margin: 0 auto 20px auto;
    color: white;
    justify-content: space-around;
    align-items: center;
    direction: ltr;
    font-size: 1.2rem;
    p {
      margin-bottom: 0;
      text-align: center;
      padding: 0 10px;
      span {
        display: block;
        &:first-child {
          font-size: 0.8rem;
        }
      }
    }
  } //== formula

  .boxes {
    display: flex;
    justify-content: space-around;
    width: auto;
    margin: 0 auto -50px auto;
    > a {
      background-color: white;
      border-radius: 15px;
      padding: 10px 20px 20px;
      color: #7f7f7f;
      margin: 0 10px;
      text-align: center;
      overflow: hidden;
      position: relative;
      box-shadow: 0 1px 3px rgba(black, 0.3);
      z-index: $z-index-home-boxes;
      i {
        font-size: 3rem;
        height: 45px;
        line-height: 30px;
        &.ic-sneaker {
          font-size: 4rem;
        }
      }
      p {
        margin: 0.3rem 0 0;
        //width: 100px;
      }
      &:after {
        content: '';
        display: block;
        width: 100%;
        height: 10px;
        position: absolute;
        left: 0;
        bottom: 0;
      }
      &.variant-success:after {
        background-color: lighten($success, 10%);
      }
      &.variant-primary:after {
        background-color: lighten($primary, 2%);
      }
      &.variant-warning:after {
        background-color: lighten($warning, 5%);
      }
      @include media-breakpoint-down(xs) {
        padding-bottom: 15px;
        p {
          font-size: 0.9rem;
        }
        i {
          font-size: 2rem;
          height: 30px;
          line-height: 30px;
          &.ic-sneaker {
            font-size: 3rem;
          }
        }
      }
    }
  }

  @media screen and (max-width: 420px) {
    .circles-container {
      .circle {
        b {
          font-size: 1.4rem;
        }
        &:not(.circle-center) {
          width: 80px;
          height: 80px;
          font-size: 0.75rem;
        }
      }
      .circle-center {
        width: 160px;
        height: 160px;
        padding: 1.2%;
        background-color: #e5e5e5;
        position: relative;
        .content {
          font-size: 0.7rem;
          width: 72%;
          height: 72%;
        }
      }
    }
    .formula {
      font-size: 0.9rem;
    }
    .boxes {
      display: flex;
      justify-content: space-around;
      width: auto;
      margin: 0 auto -50px auto;
      > a {
        background-color: white;
        border-radius: 15px;
        padding: 10px 20px 20px;
        color: #7f7f7f;
        margin: 0 10px;
        text-align: center;
        overflow: hidden;
        position: relative;
        box-shadow: 0 1px 3px rgba(black, 0.3);
        z-index: $z-index-home-boxes;
        i {
          font-size: 3rem;
          height: 45px;
          line-height: 30px;
          &.ic-sneaker {
            font-size: 4rem;
          }
        }
        p {
          margin: 0.3rem 0 0;
          //width: 100px;
        }
        &:after {
          content: '';
          display: block;
          width: 100%;
          height: 10px;
          position: absolute;
          left: 0;
          bottom: 0;
        }
        &.variant-success:after {
          background-color: lighten($success, 10%);
        }
        &.variant-primary:after {
          background-color: lighten($primary, 2%);
        }
        &.variant-warning:after {
          background-color: lighten($warning, 5%);
        }
        @include media-breakpoint-down(xs) {
          padding-bottom: 15px;
          p {
            font-size: 0.9rem;
          }
          i {
            font-size: 2rem;
            height: 30px;
            line-height: 30px;
            &.ic-sneaker {
              font-size: 3rem;
            }
          }
        }
      }
    }
  }
} //== body
